Error that I can't track down

Showing 1-7 of 7 messages
Error that I can't track down Scott Chamberlain 10/8/12 10:00 PM
All of a sudden I am getting an error when trying to plot literally anything when calling qplot() or ggplot(). 

For example:

> qplot(mpg, wt, data=mtcars)
The following `from` values were not present in `x`: col, color, pch, cex, lty, lwd, srt, adj, bg, fg, min, max
The following `from` values were not present in `x`: col, color, pch, cex, lty, lwd, srt, adj, bg, fg, min, max
Error in revalue(names(x), replace, warn_missing = warn_missing) : 
  x is not a factor or a character vector.

Here' s my sessionInfo():

> sessionInfo()
R version 2.15.1 (2012-06-22)
Platform: x86_64-apple-darwin9.8.0/x86_64 (64-bit)

locale:
[1] en_US.UTF-8/en_US.UTF-8/en_US.UTF-8/C/en_US.UTF-8/en_US.UTF-8

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base     

other attached packages:
[1] rgbif_0.1.0     ggplot2_0.9.2.1 maps_2.2-6      plyr_1.7.1.99.1 acs_0.8         stringr_0.6.1  
[7] devtools_0.8   

loaded via a namespace (and not attached):
 [1] colorspace_1.1-1   dichromat_1.2-4    digest_0.5.2       evaluate_0.4.2     grid_2.15.1       
 [6] gtable_0.1.1       httr_0.1.1         labeling_0.1       MASS_7.3-18        memoise_0.1       
[11] munsell_0.4        parallel_2.15.1    proto_0.3-9.2      RColorBrewer_1.0-5 RCurl_1.91-1      
[16] reshape2_1.2.1     scales_0.2.2       tools_2.15.1       whisker_0.3        XML_3.9-4  
Re: Error that I can't track down Scott Chamberlain 10/8/12 10:49 PM
Nevermind, figured it out. Sorry to bother. 

S
Re: Error that I can't track down winston 10/9/12 6:08 PM
Sounds like you installed the development version of plyr... I've pushed some changes to the development version of ggplot2 that will work properly with the development version of plyr, so if you install both of them, it should work.

-Winston

--
You received this message because you are subscribed to the ggplot2 mailing list.
Please provide a reproducible example: https://github.com/hadley/devtools/wiki/Reproducibility
 
To post: email ggp...@googlegroups.com
To unsubscribe: email ggplot2+u...@googlegroups.com
More options: http://groups.google.com/group/ggplot2

Re: Error that I can't track down Edgaras Dunajevas 12/7/12 6:00 AM
I actually have the same problem, what did you do to solve this?
Re: Error that I can't track down Edgaras Dunajevas 12/7/12 6:03 AM
I have exactly the same problem, can you explain how you fixed it?


On Tuesday, October 9, 2012 8:00:29 AM UTC+3, Scott Chamberlain wrote:
Re: Error that I can't track down Kent Johnson 12/7/12 7:05 AM
What was the fix? I am seeing this same error with the latest release of ggplot2 and plyr:
> library(ggplot2)
> qplot(mpg, wt, data=mtcars)
The following `from` values were not present in `x`: col, color, pch, cex, lty, lwd, srt, adj, bg, fg, min, max
The following `from` values were not present in `x`: col, color, pch, cex, lty, lwd, srt, adj, bg, fg, min, max
The following `from` values were not present in `x`: col, color, pch, cex, lty, lwd, srt, adj, bg, fg, min, max
The following `from` values were not present in `x`: col, color, pch, cex, lty, lwd, srt, adj, bg, fg, min, max
The following `from` values were not present in `x`: col, color, pch, cex, lty, lwd, srt, adj, bg, fg, min, max
> sessionInfo()
R version 2.15.2 (2012-10-26)
Platform: x86_64-w64-mingw32/x64 (64-bit)

locale:
[1] LC_COLLATE=English_United States.1252  LC_CTYPE=English_United States.1252    LC_MONETARY=English_United States.1252
[4] LC_NUMERIC=C                           LC_TIME=English_United States.1252    

attached base packages:
[1] stats     graphics  grDevices utils     datasets  methods   base     

other attached packages:
[1] ggplot2_0.9.3

loaded via a namespace (and not attached):
 [1] colorspace_1.2-0   dichromat_1.2-4    digest_0.6.0       grid_2.15.2        gtable_0.1.2       labeling_0.1      
 [7] MASS_7.3-22        munsell_0.4        plyr_1.8           proto_0.3-9.2      RColorBrewer_1.0-5 reshape2_1.2.2    
[13] scales_0.2.3       stringr_0.6.2      tools_2.15.2      

Thanks,
Kent
Re: Error that I can't track down winston 12/7/12 10:32 AM
This seems to be a not-uncommon problem with install.packages() not properly updating plyr. See the comments at:
and this issue:

-Winston




--
You received this message because you are subscribed to the ggplot2 mailing list.
Please provide a reproducible example: https://github.com/hadley/devtools/wiki/Reproducibility
 
To post: email ggp...@googlegroups.com
To unsubscribe: email ggplot2+u...@googlegroups.com
More options: http://groups.google.com/group/ggplot2